function [z,T,t] = bruiteConv(x,L,alpha)

%obtention de l'image floue.
%---------------------------
[Nx,Mx] = size(x);

L1 = L;
L2 =L;
t = ones(L1,L2)/(L1*L2);
T = zeros(Nx,Mx);
L12 = ceil(L1/2);
L22 = ceil(L2/2);
T(1:L12,1:L22) = t(L12:L1,L22:L2);
T(Nx:-1:Nx-L12+2,1:L22) = t(1:L12-1,L22:L2);
T(1:L12,Mx:-1:Mx-L22+2) = t(L12:L1,1:L22-1);
T(Nx:-1:Nx-L12+2,Mx:-1:Mx-L22+2) = t(1:L12-1,1:L22-1);
T = fft2(T);


%obtention de l'image flout???e bruit???e
%-------------------------------------
randn('seed',10);
xc = real(ifft2(T.*fft2(x)));
xc=(xc>0).*xc;


%Cas variance d???pendante
z = random('poisson',alpha*xc);

